# macro to generate the fuzzy clustering analysis

# loading library

library(fclust)

# reading the working data

mydata<-read.csv("set2.csv", header=TRUE)

X<-subset(mydata, select=c(lnBCwb,temp,u,v,pres))

# computing a three-cluster solution (plus a noisy one)

Sys.time()
FKMNEclust3<-FKM.ent.noise(X,k=3,conv=1e-6, ent=1, RS=10, stand=1)
Sys.time()

# saving output for post-processing

write.csv(FKMNEclust3$U,"mydatawb_3C.csv",row.names=FALSE)

# computing a four-cluster solution (plus a noisy one)

Sys.time()
FKMNEclust4<-FKM.ent.noise(X,k=4,conv=1e-6, ent=1, RS=10, stand=1)
Sys.time()

# saving output for post-processing

write.csv(FKMNEclust4$U,"mydatawb_4C.csv",row.names=FALSE)

# computing a five-cluster solution (plus a noisy one)

Sys.time()
FKMNEclust5<-FKM.ent.noise(X,k=5,conv=1e-6, ent=1, RS=10, stand=1)
Sys.time()

# saving output for post-processing

write.csv(FKMNEclust5$U,"mydatawb_5C.csv",row.names=FALSE)

# computing a six-cluster solution (plus a noisy one)

Sys.time()
FKMNEclust6<-FKM.ent.noise(X,k=6,conv=1e-6, ent=1, RS=10, stand=1)
Sys.time()

# saving output for post-processing

write.csv(FKMNEclust6$U,"mydatawb_6C.csv",row.names=FALSE)

# computing a seven-cluster solution (plus a noisy one)

Sys.time()
FKMNEclust7<-FKM.ent.noise(X,k=7,conv=1e-6, ent=1, RS=10, stand=1)
Sys.time()

# saving output for post-processing

write.csv(FKMNEclust7$U,"mydatawb_7C.csv",row.names=FALSE)




